<?php require_once('Connections/cn.php'); ?>
<?php
//header("Content-Type:text/html; charset=UTF-8");
header("Content-Type:text/html; charset=utf-8");
$docente= $_REQUEST["d"];
$periodo= $_REQUEST["p"];
// Realizo la consulta de la Tabla materias filtrando con la carrera que se seleccion�.

mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");
$query_materias = "Select distinct
historico_notas.id_materia,
materias.nombre_materia
From
historico_notas
Inner Join materias ON historico_notas.id_materia = materias.id_materia
where historico_notas.id_docente='$docente' and historico_notas.id_periodo='$periodo' ORDER BY materias.semestre,materias.nombre_materia";
$rst_materias = mysql_query($query_materias, $cn) or die(mysql_error());
//$row_materias = mysql_fetch_assoc($rst_materias);
$totalRows_materias = mysql_num_rows($rst_materias);  

if($totalRows_materias >0)
{
	$array_select2 = array(0=>"SELECCIONE...");
	$array_materias = array(0=>"0");
	$code=1;
	
	while($materia = mysql_fetch_assoc($rst_materias))
		{
		
			$array_materias[$code] = $materia["id_materia"];		
			$array_select2[$code]=  $materia["nombre_materia"];	
			$code += 1;
		}
		
}		

// Bucle para cargar las maetrias en el combo (materias)
for ($i=0; $i<count($array_select2);$i++){
	echo "<option value=".$array_materias[$i].">".$array_select2[$i]."</option>";
}

?>